Description

The bug is described by another user here: https://www.servoyforge.net/boards/13/topics/262

We are experiencing this same problem. Using MySQL, Servoy 5.2.9 and Jasper plugin v320 using a foundset report. We use an
integer field for sorting in Jasper. It is defined in Servoy and Jasper as Integer. However we get the error:
java.lang.ClassCastException: java.lang.Long cannot be cast to java.lang.Integer. If you exit the client and open again, it works.
Then if you modify a record, and enter in a larger value, like >100, and run the report again, it fails.

Also as the other topic suggest, using databaseManager.refreshRecordFromDatabase before printing will fix it, but obviously we
don't want to do that before every report.

History

#1 - 09/02/2011 05:04 PM - Rob Gansevles
Scott,

Please create a small sample report and solution that shows this.
Also include the sql to create the table.

Rob

#2 - 09/15/2011 05:53 PM - Scott Butler

| emailed you a sample solution. The problem seems to be that if you have a Sort set on a Datasource in your Jasper report, and you also allow the
user to edit that same column in Servoy which is being used as the sort in Jasper.

#3 - 11/23/2011 12:53 PM - Harjo Kompagnie

Hi, we had the same issue, when we went from hasMaps (to put in parameters) to new Object()

We reverted back to using hasmaps, and the problem was gone...
Maybe this helps.....

#4 - 11/23/2011 03:05 PM - Andrei Costache
- Assignee set to Andrei Costache

- Client type set to Any

- In developer? set to No

- Servoy version set to 5.2.x

- OS version set to Windows Vista

- Java version setto 1.6

Fixed in the plugin code.

#5 - 11/23/2011 03:05 PM - Andrei Costache

- Status changed from New to Closed
